# BEGIN SourceDeps(oneline):
BuildRequires: perl(Chemistry/File.pm) perl(Chemistry/File/Dumper.pm) perl(Chemistry/Mol.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Chemistry-File-VRML
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Generate VRML models for molecules
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IT/ITUB/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module generates a VRML (Virtual Reality Modeling Language) representation
of a molecule, which can then be visualized with any VRML viewer. This is a
PerlMol file I/O plugin, and registers the 'vrml' format with
the Chemistry::Mol manpage. Note however that this file plugin is write-only; there's no
way of reading a VRML file back into a molecule.

This module is a modification of PDB2VRML by Horst Vollhardt, adapted to the
the Chemistry::File manpage interface.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Tue Oct 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

